Searched defs:fatal (Results 1 - 25 of 80) sorted by relevance

1234

/illumos-gate/usr/src/cmd/modload/
H A Dmodsubr.c56 fatal(char *fmt, ...) function
/illumos-gate/usr/src/cmd/sgs/test/ld/assert-deflib/
H A Dtest-deflib.sh36 function fatal function
51 [[ -f $sh_path/$sh_lib/$sh_soname ]] || fatal "missing 32-bit $sh_soname"
53 fatal "missing 64-bit $sh_soname"
54 which $sh_cc >/dev/null || fatal "cc not in path"
72 fatal $4
77 [[ -z "$1" ]] && fatal "<proto root>"
85 "Testing basic compilation fails if warning are fatal..." \
89 "Testing basic exception with fatal warnings..." \
93 "Testing basic exception with fatal warnings..." \
/illumos-gate/usr/src/test/libc-tests/tests/
H A Dquick_exit.ksh34 function fatal function
46 fatal "Test failed: Expected $qestatus32 to exit $stat " \
52 fatal "Test failed: Expected $qestatus64 to exit $stat " \
59 $qe_order32 || fatal "$qe_order32 returned $?"
60 $qe_order64 || fatal "$qe_order32 returned $?"
/illumos-gate/usr/src/cmd/ypcmd/revnetgroup/
H A Dutil.c104 fatal(message) function
107 (void) fprintf(stderr, "fatal error: %s\n", message);
/illumos-gate/usr/src/cmd/mdb/test/
H A Dmtest.sh50 function fatal function
61 mkdir -p $mt_outdir || fatal "failed to make output dir $mt_outdir"
74 [[ -z "$ext" ]] && fatal "found test without ext: $name"
75 [[ -z "$expect" ]] && fatal "found test without prefix: $name"
98 mkdir -p "$odir" >/dev/null || fatal "can't make output directory"
119 mv "$odir" "$mt_outdir/failure.$mt_tfail" || fatal \
121 cp "$name" "$mt_outdir/failure.$mt_tfail/test" || fatal \
126 mv "$odir" "$mt_outdir/success.$mt_tsuc" || fatal \
155 rm -rf "$mt_outdir"/success.* || fatal \
158 rmdir "$mt_outdir" || fatal \
[all...]
/illumos-gate/usr/src/cmd/sed/
H A Dmisc.c69 fatal(const char *fmt, ...) function
/illumos-gate/usr/src/test/util-tests/tests/dladm/
H A Dallowed-ips.ksh21 function fatal function
31 dladm create-etherstub $ai_stub || fatal "failed to create etherstub"
32 dladm create-vnic -l $ai_stub $ai_vnic || fatal "failed to create vnic"
37 dladm delete-vnic $ai_vnic || fatal "failed to remove vnic"
38 dladm delete-etherstub $ai_stub || fatal "failed to remove etherstub"
48 runtest $* || fatal "allowed-ips=$* failed, expected success\n"
53 runtest $* && fatal "allowed-ips=$* succeeded, expected failure\n"
/illumos-gate/usr/src/cmd/print/selector/
H A Dprint-service65 sub fatal { subroutine
130 fatal("failed to detect active print service: $!\n");
134 fatal("print service: $service is not installed\n");
144 fatal("$command is not available from $service print service\n");
224 fatal("print service: $service is not installed\n");
265 fatal("failed to detect active print service: $!\n");
/illumos-gate/usr/src/cmd/cmd-inet/usr.sbin/
H A Din.fingerd.c48 void fatal(char *prog, char *s);
65 fatal(argv[0], "getpeername");
115 fatal(argv[0], "pipe");
129 fatal(argv[0], "fork");
132 fatal(argv[0], "fdopen");
145 fatal(prog, s) function
/illumos-gate/usr/src/cmd/mkpwdict/
H A Dmkpwdict.c43 fatal(char *msg) function
95 fatal(strerror(errno));
100 fatal(strerror(errno));
124 fatal(gettext("No source databases defined"));
136 fatal(strerror(errno));
/illumos-gate/usr/src/cmd/scsi/sestopo/common/
H A Dsestopo.c34 static void fatal(int, const char *, ...) __NORETURN;
37 fatal(int err, const char *fmt, ...) function
85 fatal(1, "Usage: %s <device>", argv[0]);
88 fatal(-1, "failed to open %s: %s", argv[1], ses_errmsg());
/illumos-gate/usr/src/cmd/smserverd/
H A Dsmediad_err.c46 fatal(const char *fmt, ...) function
/illumos-gate/usr/src/lib/libast/common/regex/
H A Dregerror.c85 fatal(regdisc_t* disc, int code, const char* pattern) function
H A Dregcoll.c52 int fatal; member in struct:Local_s
75 if (local.fatal)
82 local.fatal = 1;
88 local.fatal = 1;
95 local.fatal = 1;
/illumos-gate/usr/src/cmd/dtrace/test/cmd/badioctl/
H A Dbadioctl.c43 fatal(char *fmt, ...) function
67 fatal("couldn't open /dev/random");
71 fatal("mmap");
94 fatal("couldn't open DTrace pseudo device");
/illumos-gate/usr/src/cmd/getdevpolicy/
H A Dgetdevpolicy.c56 fatal(const char *s) function
90 fatal("Out of memory");
133 fatal("Out of memory");
/illumos-gate/usr/src/lib/brand/shared/zone/
H A Dcommon.ksh36 fatal() function
101 fatal "$e_baddir" "$dir"
113 fatal "$e_baddir" "$dir"
124 /usr/bin/cp -p $src $dst || fatal "$e_badfile" "$src"
135 /usr/bin/cp -p $src $dst || fatal "$e_badfile" "$src"
146 /usr/bin/mv $src $dst || fatal "$e_badfile" "$src"
613 fatal "$e_absolute_archive"
627 fatal "$e_mismatch_archive" "$base" "$bname"
775 fatal "$e_path_abs" "$insrc"
780 fatal "
[all...]
/illumos-gate/usr/src/cmd/dtrace/test/cmd/baddof/
H A Dbaddof.c37 fatal(char *fmt, ...) function
104 fatal("couldn't open DTrace pseudo device");
164 fatal("expected D script as argument\n");
167 fatal("couldn't open %s", filename);
173 fatal("cannot open dtrace library: %s\n",
181 fatal("failed to compile script %s: %s\n", filename,
189 fatal("could not allocate copy of %d bytes", len);
199 fatal("couldn't open DTrace pseudo device");
/illumos-gate/usr/src/cmd/ttymon/
H A Dtmlog.c202 * fatal(fmt, ...) - put a message into the log file, then exit.
206 fatal(const char *fmt, ...) function
239 fatal("open debug file failed");
243 fatal("open %s failed: %s", EX_DBG, errno);
249 fatal("F_DUPFD fcntl failed: %s",
254 fatal("fdopen failed: %s", strerror(errno));
261 fatal("F_SETFD fcntl failed: %s", strerror(errno));
/illumos-gate/usr/src/uts/sun4u/opl/io/pcicmu/
H A Dpcmu_pbm.c266 int fatal = 0; local
281 fatal++;
285 if (fatal) {
/illumos-gate/usr/src/lib/abi/apptrace/common/
H A Dabienv.c140 appendlist(Liblist **list, Liblist **listend, const char *name, int fatal) argument
146 if (fatal) {
158 if (fatal) {
/illumos-gate/usr/src/cmd/print/printmgr/com/sun/admin/pm/server/
H A DDebug.java39 * <b>error()</b>, and <b>fatal()</b> causes a log entry to be
50 * means that only <b>error()</b> and <b>fatal()</b> calls will
53 * <b>fatal()</b> while ignoring <b>message()</b>.
68 * <b>error()</b>, and <b>fatal()</b> which accept an argument of type
85 static public void fatal(String s) { method in class:Debug
127 static public void fatal(Object o, String s) { method in class:Debug
254 fatal(theInstance, s);
/illumos-gate/usr/src/cmd/eqn/
H A Dio.c261 error(int fatal, char *s1, char *s2) argument
263 if (fatal > 0)
264 printf(gettext("eqn fatal error: "));
269 if (fatal > 0)
270 fprintf(stderr, gettext("fatal error: "));
274 if (fatal > 0)
/illumos-gate/usr/src/cmd/avs/errgen/
H A Derrgen.c97 fatal(char *msg) function
179 fatal("");
190 fatal("Too many %%s specifiers");
203 fatal("ERRGEN: cannot have %%s and @@ ending too");
262 fatal("Bad number of arguments");
291 fatal("Unknown option switch");
317 fatal("Undefined module name");
326 fatal("errgen file empty");
339 fatal("");
345 fatal("");
[all...]
/illumos-gate/usr/src/ucbcmd/chown/
H A Dchown.c63 void fatal(int, char *, char *);
92 fatal(255, "unknown option: %s", optchar);
106 fatal(255, "unknown group: %s", group);
114 fatal(2,
117 fatal(2, "group id invalid: %s", group);
124 fatal(255, "unknown user id: %s", argv[0]);
131 fatal(2, "user id too large: %s", argv[0]);
133 fatal(2, "user id invalid: %s", argv[0]);
176 fatal(255, "%s", savedir);
212 fatal(25
229 fatal(int status, char *fmt, char *a) function
[all...]

Completed in 138 milliseconds

1234